# Webhooks

Set up - Tenancy - Sales Partners - Webhooks

## Get all webhooks that are currently set

 - [GET /sales-partners/webhooks](https://docs.uberall.com/apis/swagger/webhooks/get_sales_partners_webhooks.md): Returns a list of all active webhooks

## Create a Webhook

 - [POST /sales-partners/webhooks](https://docs.uberall.com/apis/swagger/webhooks/post_sales_partners_webhooks.md): Creates a new webhook, consisting of a pushUrl and a event type. For a list of all possible types use the GET /api/sales-partners/subscribable-event-types.

## Get a Webhook

 - [GET /sales-partners/webhooks/{id}](https://docs.uberall.com/apis/swagger/webhooks/get_sales_partners_webhooks_id.md): Returns the webhook with the given id

## Delete a Webhook

 - [DELETE /sales-partners/webhooks/{id}](https://docs.uberall.com/apis/swagger/webhooks/delete_sales_partners_webhooks_id.md): Deletes the webhook with the given id

## Update a Webhook

 - [PATCH /sales-partners/webhooks/{id}](https://docs.uberall.com/apis/swagger/webhooks/patch_sales_partners_webhooks_id.md): Edits the webhook with the given id

